linux-image-2.6.24-19-generic_2.6.24-19.36_i386.deb更新包安装出错解决

为当前最终发行版之前的所有版本提供支持
回复
头像
sulong.cn
帖子: 92
注册时间: 2008-07-07 23:09
送出感谢: 0
接收感谢: 0

linux-image-2.6.24-19-generic_2.6.24-19.36_i386.deb更新包安装出错解决

#1

帖子 sulong.cn » 2008-07-21 22:47

今天检查更新时,发现31个更新包,更新时发现问题如下:

E: /var/cache/apt/archives/linux-image-2.6.24-19-generic_2.6.24-19.36_i386.deb: 无法在安装新的版本前,为“./boot/vmlinuz-2.6.24-19-generic”做一个符号链接备份

搜集资料,结合前人的经验,总结方法如下:
终端中:
sudo rm -fv /boot/initrd.img-2.6.24*.bak
sudo rm -fv /boot/vmlinuz-2.6.24-19-generic
sudo rm -fv /boot/initrd.img-2.6.24-19-generic
sudo rm -fv /boot/config-2.6.24-19-generic
sudo rm -fv /boot//abi-2.6.24-19-generic
sudo rm -fv /boot/System.map-2.6.24-19-generic
==================================================
在以后的内核升级中同样适用,本人就在升级2.6.24-20-generic中遇到同样的问题,更改为相应的版本号即可 :D
即可!然后就能正确更新! 问题解决。
上次由 sulong.cn 在 2008-08-04 23:16,总共编辑 1 次。
hanyelv
帖子: 161
注册时间: 2008-07-11 14:02
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 hanyelv » 2008-07-21 22:51

这个问题都能解决 :roll:
锐博_资源资讯共享网:http://www.redbots.cn
xg123
帖子: 12
注册时间: 2008-01-12 12:35
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 xg123 » 2008-07-31 20:22

强啊,终于搞定了,这个问题困绕了好久!谢啊!
头像
jialeadmin
帖子: 724
注册时间: 2008-06-17 23:17
来自: 灾区
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 jialeadmin » 2008-07-31 20:31

:idea: :idea:
◆WINDOWS系统已彻底删除
◆正在安装UBUNTU 9.04
◆系统正在复制文件,请稍等...
┌────────────┐
│ ■■■■■■■□□□ 70% │
└────────────┘
sxyxbat
帖子: 42
注册时间: 2008-07-28 17:12
来自: 厦门
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 sxyxbat » 2008-08-04 19:48

恩,不错,支持,就是按这个方法解决问题了,多谢~
wqxyx
帖子: 16
注册时间: 2008-10-30 8:09
送出感谢: 0
接收感谢: 0

Re: linux-image-2.6.24-19-generic_2.6.24-19.36_i386.deb更新包安装出错解决

#6

帖子 wqxyx » 2008-11-01 14:15

哪一位帮我看一下啊,怎么我按上面的方法不行啊?
我是在XP下用WUBI装8.10的,也是更新到这个包出问题。
我是在终端中一句一句输入以下内容的:
sudo rm -fv /boot/initrd.img-2.6.27*.bak
sudo rm -fv /boot/vmlinuz-2.6.27-7-generic
sudo rm -fv /boot/initrd.img-2.6.27-7-generic
sudo rm -fv /boot/config-2.6.27-7-generic
sudo rm -fv /boot//abi-2.6.27-7-generic
sudo rm -fv /boot/System.map-2.6.27-7-generic
头像
想入非非
论坛版主
帖子: 8078
注册时间: 2008-07-14 22:42
来自: Beijing
送出感谢: 0
接收感谢: 0
联系:

Re: linux-image-2.6.24-19-generic_2.6.24-19.36_i386.deb更新包安装出错解决

#7

帖子 想入非非 » 2008-11-01 15:32

好老的问题了阿。。。话说那些代码还是我写的 :em04
Ubuntu User
xg123
帖子: 12
注册时间: 2008-01-12 12:35
送出感谢: 0
接收感谢: 0
联系:

Re: linux-image-2.6.24-19-generic_2.6.24-19.36_i386.deb更新包安装出错解决

#8

帖子 xg123 » 2008-11-02 17:07

wqxyx 写了:哪一位帮我看一下啊,怎么我按上面的方法不行啊?
我是在XP下用WUBI装8.10的,也是更新到这个包出问题。
我是在终端中一句一句输入以下内容的:
sudo rm -fv /boot/initrd.img-2.6.27*.bak
sudo rm -fv /boot/vmlinuz-2.6.27-7-generic
sudo rm -fv /boot/initrd.img-2.6.27-7-generic
sudo rm -fv /boot/config-2.6.27-7-generic
sudo rm -fv /boot//abi-2.6.27-7-generic
sudo rm -fv /boot/System.map-2.6.27-7-generic
嗯,我的也碰到了这问题,这样执行之后,就进不去UBUNTU了!又重装了一次!没管那问题!
fengmk2
帖子: 4
注册时间: 2008-07-05 10:38
送出感谢: 0
接收感谢: 0

Re: linux-image-2.6.24-19-generic_2.6.24-19.36_i386.deb更新包安装出错解决

#9

帖子 fengmk2 » 2008-11-03 0:56

再加一句应该行了: sudo rm -fv /boot/vmcoreinfo-2.6.27-7-generic :em11
wqxyx
帖子: 16
注册时间: 2008-10-30 8:09
送出感谢: 0
接收感谢: 0

Re: linux-image-2.6.24-19-generic_2.6.24-19.36_i386.deb更新包安装出错解决

#10

帖子 wqxyx » 2008-11-03 10:31

谢谢楼上的,今天回去试一下看看。
kantian
帖子: 42
注册时间: 2008-10-27 8:10
送出感谢: 0
接收感谢: 0

Re: linux-image-2.6.24-19-generic_2.6.24-19.36_i386.deb更新包安装出错解决

#11

帖子 kantian » 2009-05-20 16:47

是用wubi装的才有这问题的吧?
回复

回到 “老旧版本支持”